%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

Name:           mingw32-gtkmm24
Version:        2.14.3
Release:        1%{?dist}
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.16/gtkmm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 30
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-glibmm24 >= %{version}
BuildRequires:  mingw32-atk
BuildRequires:  mingw32-pango
BuildRequires:  mingw32-gtk2 >= %{version}
BuildRequires:  mingw32-cairomm
BuildRequires:  mingw32-pangomm

Requires:       pkgconfig


%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps
GTK+ 2.  Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.



%prep
%setup -q -n gtkmm-%{version}


%build
%{_mingw32_configure} --disable-static --enable-shared --disable-demos --disable-docs
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING
%{_mingw32_bindir}/libatkmm-1.6-1.dll
%{_mingw32_bindir}/libgdkmm-2.4-1.dll
%{_mingw32_bindir}/libgtkmm-2.4-1.dll
%{_mingw32_libdir}/libatkmm-1.6.dll.a
%{_mingw32_libdir}/libatkmm-1.6.la
%{_mingw32_libdir}/libgdkmm-2.4.dll.a
%{_mingw32_libdir}/libgdkmm-2.4.la
%{_mingw32_libdir}/libgtkmm-2.4.dll.a
%{_mingw32_libdir}/libgtkmm-2.4.la
%{_mingw32_includedir}/atkmm-1.6
%{_mingw32_includedir}/gdkmm-2.4
%{_mingw32_includedir}/gtkmm-2.4
%{_mingw32_libdir}/gdkmm-2.4
%{_mingw32_libdir}/gtkmm-2.4
%{_mingw32_libdir}/pkgconfig/atkmm-1.6.pc
%{_mingw32_libdir}/pkgconfig/gdkmm-2.4.pc
%{_mingw32_libdir}/pkgconfig/gtkmm-2.4.pc


%changelog
* Thu Apr 30 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.14.3-1
- downgrade to match native

* Sat Apr 18 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.16.0-1
- update to 2.16.0 to match native
- remove COPYING.tools, as the binary does not contain any program from
  the tools directory
- do not build docs

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.15.0-2
- replace %%define with %%global

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.15.0-1
- update to 2.15.0

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.1-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.1-4
- Include license file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.1-3
- Use _smp_mflags.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.14.1-2
- Requires pkgconfig.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.14.1-1
- Initial RPM release.
